/*
 * PrioWindowStarter.java
 *
 * Created on 2005-jan-27
 */

package gui.prio;

import rainbowie.*;

/**
 * This class is only used for starting the correct prioritization window
 * The class is created to simplify adding new prioritization techniques
 * 
 * @author Mikael Jnsson & Per Klingns
 */
public class PrioWindowStarter {
	public PrioWindowStarter (RequirementList rList, Rainbowie p) {
	    /* Check which prioMethod that has been used */
		switch(rList.getPrioMethod()) {
		case RequirementList.PLANNING_GAME:
			PlanningGameWindow pgw = new PlanningGameWindow(rList, p);
			p.setLastPrioWindow(pgw);
			break;
		case RequirementList.PAIR_WISE:
		    PairwiseWindow pww = new PairwiseWindow(rList, p);
			p.setLastPrioWindow(pww);
			break;
		case RequirementList.DOLLAR:
			DollarWindow dw = new DollarWindow(rList, p);
			p.setLastPrioWindow(dw);
			break;
		}
	}

}
