/*
 * Requirement.java
 *
 * Created on Jan 21, 2005
 */

package rainbowie;

/**
 * Defines a requirement in the program 
 * 
 * @author Mikael Jnsson & Per Klingns
 */
public class Requirement {
	
	private String reqNbr = "";
	private String req = "";
	private String relNbr = "";
	private double priority1 = -1.0;
	private double priority2 = -1.0;
	
	/**
	 * Constructs an "empty" requirment
	 */
	public Requirement() { }
	
	/**
	 * Returns the requirment number of the requirement
	 * 
	 * @return the requirement number.
	 */
	public String getReqNbr() {
		return reqNbr;
	}
	
	/**
	 * Sets the requirment number of the requirement
	 * 
	 * @param reqNbr the requirement number to set.
	 */
	public void setReqNbr(String reqNbr) {
		this.reqNbr = reqNbr;
	}
	
	/**
	 * Returns the description of the requirement
	 * 
	 * @return the requirement description
	 */
	public String getReq() {
		return req;
	}
	
	/**
	 * Sets the description of the requirement
	 * 
	 * @param req the requirement description to set.
	 */
	public void setReq(String req) {
		this.req = req;
	}
	
	/**
	 * Returns the release number of the requirement
	 * 
	 * @return the release number.
	 */
	public String getRelNbr() {
		return relNbr;
	}
	
	/**
	 * Sets the release number of the requirement
	 * 
	 * @param relNbr the release number to set.
	 */
	public void setRelNbr(String relNbr) {
		this.relNbr = relNbr;
	}
	
	/**
	 * Returns the priority according to the first criteria.
	 * 
	 * @return the first priority.
	 */
	public double getPriority1() {
		return priority1;
	}
	
	/**
	 * Sets the priority according to the first criteria.
	 * 
	 * @param priority1 the first priority to set.
	 */
	public void setPriority1(double priority1) {
		this.priority1 = priority1;
	}
	
	/**
	 * Returns the priority according to the second criteria.
	 * 
	 * @return the second priority.
	 */
	public double getPriority2() {
		return priority2;
	}
	
	/**
	 * Sets the priority according to the second criteria.
	 * 
	 * @param priority2 the second priority to set.
	 */
	public void setPriority2(double priority2) {
		this.priority2 = priority2;
	}
	
	/**
	 * Returns a new requirement with the same attributes and values as this. 
	 * 
	 * @return a copy of this requirement
	 */
	public Requirement getCopy() {
		Requirement r = new Requirement();
		r.setReqNbr(reqNbr);
		r.setReq(req);
		r.setRelNbr(relNbr);
		r.setPriority1(priority1);
		r.setPriority2(priority2);
		return r;
	}
}
